name: SPF
input_languages:
  - Java
project_url: https://github.com/SymbolicPathFinder/jpf-symbc
repository_url: https://github.com/SymbolicPathFinder/jpf-symbc
spdx_license_identifier: Apache-2.0
benchexec_toolinfo_module: "https://gitlab.com/sosy-lab/software/benchexec/-/raw/main/benchexec/tools/spf.py"
fmtools_format_version: "2.0"
fmtools_entry_maintainers:
  - yannicnoller

maintainers:
  - name: Hors Concours
    institution: --
    country: --
    url: null

versions:
  - version: "svcomp24"
    doi: null
    benchexec_toolinfo_options: []
    required_ubuntu_packages: []
  - version: "svcomp23"
    url: "https://gitlab.com/sosy-lab/sv-comp/archives-2023/-/raw/main/2023/spf.zip"
    benchexec_toolinfo_options: []
    required_ubuntu_packages: []

competition_participations:
  - competition: "SV-COMP 2024"
    track: "Verification"
    tool_version: "svcomp24"
    jury_member:
      name: Hors Concours
      institution: --
      country: --
      url: null
  - competition: "SV-COMP 2023"
    track: "Verification"
    tool_version: "svcomp23"
    jury_member:
      name: Hors Concours
      institution: --
      country: --
      url: null

techniques:
  - Symbolic Execution
  - Shape Analysis
  - Concurrency Support
